#include <intuition/intuitionbase.h>
#ifdef AZTEC_C
#include <functions.h>
struct IORequest *CreateExtIO(); /* This is a kludge that is necessary    */
                                 /* since this definition is missing from */
                                 /* manx's <functions.h> include file.    */
#endif AZTEC_C
#include <devices/input.h>
#include <devices/keymap.h>
#include <devices/console.h>
#include <devices/clipboard.h>
#include <exec/memory.h>
#include <exec/interrupts.h>
#include <graphics/gfxmacros.h>
#include <libraries/dos.h>

#define Create(_Obj)     AllocMem((LONG)sizeof(struct _Obj), MEMF_PUBLIC|MEMF_CLEAR)
#define Kill(_Obj)       FreeMem(_Obj, (LONG)sizeof(*_Obj))
#define Delete(_Obj)     if (_Obj) FreeMem(_Obj, (LONG)sizeof(*_Obj))

#define XSIZERSRC "XSize.resource"

struct XSizeRsrc {
    struct Node node;
    struct Task *Task;
    WORD qual;
};

#define waiting     0
#define startframe  1
#define dragging    2
#define changing    3
